> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.upwardli.com/api-access/api-reference/consumers/create-new-consumer/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.upwardli.com/_mcp/server. # Create New Consumer POST https://api.upwardli.com/v2/consumers/ Content-Type: application/json Create a new Consumer if one does not exist for the given partner and pc_id Reference: https://developers.upwardli.com/api-access/api-reference/consumers/create-new-consumer ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.upwardli.com` (Production, default) - `https://api-sandbox.upwardli.com` (Sandbox) ## Request ### Body (application/json) This endpoint expects a NewConsumer. - `pcid` (string, required) - `email` (string, required) - `external_id` (string, optional) - `first_name` (string, optional) - `last_name` (string, optional) - `phone_number` (string, optional) - `date_of_birth` (string, optional) - `tax_identifier` (string, optional) - `address_line1` (string, optional) - `address_line2` (string, optional) - `address_city` (string, optional) - `address_state` (string, optional) - `address_zip` (string, optional) ## Response ### 201 - `pcid` (string, required) - `email` (string, required) - `external_id` (string, optional) - `first_name` (string, optional) - `last_name` (string, optional) - `phone_number` (string, optional) - `date_of_birth` (string, optional) - `tax_identifier` (string, optional) - `address_line1` (string, optional) - `address_line2` (string, optional) - `address_city` (string, optional) - `address_state` (string, optional) - `address_zip` (string, optional) ## Examples **Request** ```json { "pcid": "string", "email": "string" } ``` **Response** ```json { "pcid": "string", "email": "string", "external_id": "string", "first_name": "string", "last_name": "string", "phone_number": "string", "date_of_birth": "2023-01-15", "tax_identifier": "string", "address_line1": "string", "address_line2": "string", "address_city": "string", "address_state": "string", "address_zip": "string" } ``` **SDK Code** ```python import requests url = "https://api.upwardli.com/v2/consumers/" payload = { "pcid": "string", "email": "string" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.upwardli.com/v2/consumers/'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"pcid":"string","email":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.upwardli.com/v2/consumers/" payload := strings.NewReader("{\n \"pcid\": \"string\",\n \"email\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.upwardli.com/v2/consumers/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"pcid\": \"string\",\n \"email\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.upwardli.com/v2/consumers/") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"pcid\": \"string\",\n \"email\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://api.upwardli.com/v2/consumers/', [ 'body' => '{ "pcid": "string", "email": "string" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.upwardli.com/v2/consumers/"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"pcid\": \"string\",\n \"email\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "pcid": "string", "email": "string" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.upwardli.com/v2/consumers/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```